| Home | Libraries | People | FAQ | More

## Struct _void

boost::proto::_void — A PrimitiveTransform that does nothing and returns void.

## Synopsis

    // In header: <boost/proto/transform/arg.hpp>

    struct _void :  proto::transform< _void > {
      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :  proto::transform_impl< Expr, State, Data > {
        // types
        typedef void result_type;

        // public member functions
        void operator()(typename impl::expr_param, typename impl::state_param,
                        typename impl::data_param) const;
      };
    };

## Description